#ifndef __eefsdir_defined__
#define __eefsdir_defined__
#include "eefs.h"

int eefs_mkdir(char *path, int mode);
int eefs_rmdir(char *path);
FileHandleT *eefs_opendir(char *path);
struct dirent *eefs_readdir(FileHandleT *pdir);
int eefs_closedir(FileHandleT *pdir);
int eefs_chdir(char *path);
char *eefs_getcwd(char *str, int size);
void eefs_resolve_path(const char *fname, char *path);
char *eefs_get_rootname(char *path);
#endif
